package com.jsowell.pile.mapper;

import com.jsowell.pile.domain.AdapayCallbackRecord;
import org.springframework.stereotype.Repository;

@Repository
public interface AdapayCallbackRecordMapper {
    int deleteByPrimaryKey(Integer id);

    int insert(AdapayCallbackRecord record);

    int insertSelective(AdapayCallbackRecord record);

    AdapayCallbackRecord selectByPrimaryKey(Integer id);

    AdapayCallbackRecord selectByOrderCode(String orderCode);

    int updateByPrimaryKeySelective(AdapayCallbackRecord record);

    int updateByPrimaryKey(AdapayCallbackRecord record);

    AdapayCallbackRecord selectByPaymentId(String paymentId);
}